"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rootAtom = void 0;
const recoil_1 = require("recoil");
// Root atoms need to be fully under recoil-bootstrap's control, since
// bootstrapped atoms rely closely on the lifecycle of this atom for all of
// their functionality. Allowing users more control would likely destabilize
// this interdependence, plus this is meant to be a black box anyways. As such,
// the only thing that users are allowed to set is the atom key
/**
 * Creates a root atom.
 *
 * @param key The key to assign to the root atom.
 * @returns The root atom to be passed to a corresponding BoostrapRoot
 *  component.
 */
function rootAtom(key) {
    return (0, recoil_1.atom)({ key });
}
exports.rootAtom = rootAtom;
//# sourceMappingURL=rootAtom.js.map