import type { PropsWithChildren } from 'react';
import React from 'react';
import type { RecoilState } from 'recoil';
interface LocalizedStateProps<BootstrapData> {
    bootstrapData: BootstrapData;
    rootAtom: RecoilState<BootstrapData>;
}
/**
 * This component initializes the supplied root atom and its associated
 * bootstrapped atoms with the supplied bootstrap data.
 *
 * @param props.bootstrapData The bootstrap data to initialize bootstrapped
 *  atoms with.
 * @param props.rootAtom The root atom to store the bootstrap data, which in
 *  turn initializes all bootstrapped atoms associated with it.
 */
export declare function BootstrapRoot<BootstrapData>({ children, bootstrapData, rootAtom, }: PropsWithChildren<LocalizedStateProps<BootstrapData>>): React.JSX.Element;
export {};
